#ifndef ChronoProfile_H
#define ChronoProfile_H

#include <Arduino.h>
#include "ProjectileProfile.h"
#include "GunProfile.h"

class ChronoProfile {
  public:

    // Constructor: Called when a ChronoProfile object is created
    ChronoProfile();
    ChronoProfile(GunProfile gunProfile, ProjectileProfile projectileProfile);

    // Public methods & variables
    GunProfile getGunProfile();
    void setGunProfile(GunProfile profile);
    ProjectileProfile getProjectileProfile();
    void setProjectileProfile(ProjectileProfile profile);

  private:
    ProjectileProfile _projectileProfile;
    GunProfile _gunProfile;

};

#endif